%define _name gswitchit

Name: gnome-applets-%_name-plugins
Version: 0.3
Release: alt1

Summary: Plugins for GSwitchIt
Summary (ru_RU.UTF-8): Дополнения для GSwitchIt
Group: Graphical desktop/GNOME
License: GPL
Url: http://%_name.sourceforge.net

Source: http://%_name.sourceforge.net/%{_name}_plugins-%version.tar.gz
Patch: %{_name}_plugins-0.3-alt-makefile.patch

Obsoletes: gnome-applets-extra-%_name-plugins
Provides: gnome-applets-extra-%_name-plugins = %version-%release

%define GConf_ver 2.6.0

PreReq: GConf2 >= %GConf_ver
Requires: gnome-applets-%_name >= 2.6.1-alt1.1

BuildPreReq: gnome-common

# Automatically added by buildreq on Fri May 21 2004 (-bi)
BuildRequires: GConf2 ORBit2-devel XFree86-devel-static gcc-c++ gcc-g77 glib2-devel gnome-applets-gswitchit-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgcrypt-devel libglade2-devel libgnome-devel libgnomecanvas-devel libgnomeui-devel libgnutls-devel libgpg-error-devel libgtk+2-devel libpango-devel libpopt-devel libsoup-devel libstdc++-devel libtasn1-devel libxml2-devel perl-XML-Parser pkgconfig zlib-devel

%description
GSwitchIt is just a simple keyboard state indicator and switcher for
GNOME panel. GSwitchIt - controls and shows switching between the
different keyboard layouts separately for different windows.

This package provides some plugins for GSwitchIt.

%description -l ru_RU.UTF-8
GSwitchIt - простой индикатор и средство выбора раскладки клавиатуры для панели GNOME.
Этот пакет содержит дополнения для GSwitchIt

%define _libexecdir %_libdir/%_name

%prep
%setup -q -n %{_name}_plugins-%version
%patch -p1

%build
%__rm -f missing
%__libtoolize --copy --force
%__aclocal -I %_datadir/aclocal/gnome2-macros
%__autoheader
%__automake -a -c -f
%__autoconf

%configure --disable-install-schemas \
	    --disable-static

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang --with-gnome %{_name}_plugins

%post

%update_scrollkeeper

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %{_name}_plugins
fi

%postun
%clean_scrollkeeper

%files -f %{_name}_plugins.lang
%dir %_libexecdir
%_libexecdir/*
%exclude %_libexecdir/test.so
%_datadir/%{_name}_plugins
%_datadir/sounds/*
%config %_sysconfdir/gconf/schemas/*
%config %_sysconfdir/sound/events/*
%doc README ChangeLog AUTHORS

%changelog
* Fri May 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.3-alt1
- 0.3

* Fri Oct 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.1-alt1
- First build for Sisiphus.
